Altimax\Apidae\Core\Entity\SitraDateOuverture:
    type: entity
    table: sitra_date_ouverture
    indexes:
        periode_ouverture_id:
            columns:
                - periode_ouverture_id
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        dateOuverture:
            type: date
            nullable: false
            comment: ''
            column: date_ouverture
    manyToOne:
        periodeOuverture:
            targetEntity: Altimax\Apidae\Core\Entity\SitraPeriodeOuverture
            cascade: [ "persist", "remove" ]
            inversedBy: dateOuverture
            joinColumns:
                periode_ouverture_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
        objet:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
            cascade: [ "persist", "remove" ]
            inversedBy: dateOuverture
            joinColumns:
                objet_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
    lifecycleCallbacks: {  }